List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReviewReport.List(ctx, operations.C1APIAccessreviewV1AccessReviewReportServiceListRequest{
AccessReviewID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewReportServiceListResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/report \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"accessReviewId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"format": "ACCESS_REVIEW_REPORT_FORMAT_UNSPECIFIED",
"hashes": {},
"id": "<string>",
"state": "REPORT_STATE_UNSPECIFIED"
}
],
"nextPageToken": "<string>"
}Access Review
List
List the generated reports for an access review campaign, each with a time-limited download_url and its output format.
GET
/
api
/
v1
/
access_review
/
{access_review_id}
/
report
List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReviewReport.List(ctx, operations.C1APIAccessreviewV1AccessReviewReportServiceListRequest{
AccessReviewID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewReportServiceListResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The accessReviewId field.
Was this page helpful?